## groops 0%2Bgit20250907%2Bds

=== source/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(GROOPS LANGUAGES CXX Fortran)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_Fortran_FLAGS "-std=legacy")
include_directories(${PROJECT_SOURCE_DIR})
include(sourcesCXX.txt)
include(sourcesF77.txt)
include(sourcesF90.txt)
add_library(groopscore OBJECT ${SOURCES})

# =========================================

# Libraries
# ---------
# stdc++fs  required C++14 std::experimental::filesystem or C++17 std::filesystem
# EXPAT     required Stream-oriented XML parser library (https://libexpat.github.io/)
# BLAS      required Basic Linear Algebra Subprograms (http://www.netlib.org/blas/)
# LAPACK    required Linear Algebra PACKage (http://www.netlib.org/lapack/)
# ERFA      optional Essential Routines for Fundamental Astronomy (https://github.com/liberfa)
# Z         optional File compression (https://www.zlib.net)
# NETCDF    optional Network Common Data Form (https://www.unidata.ucar.edu/software/netcdf/)

# External Source Files
# ---------------------
# HWM14     Horizontal Wind Model 2014 (https://map.nrl.navy.mil/map/pub/nrl/HWM/HWM14/)
# NRLMSIS   NRLMSIS 2.0 thermospheric model (https://map.nrl.navy.mil/map/pub/nrl/NRLMSIS/NRLMSIS2.0/)
# JB2008    JB2008 thermospheric model (http://sol.spacenvironment.net/jb2008/)
# IGRF      International Geomagnetic Reference Field (https://doi.org/10.1186/s40623-015-0228-9)
# IERS      International Earth Rotation and Reference Systems Service (IERS) Conventions software collection (https://iers-conventions.obspm.fr/)

find_package(BLAS   REQUIRED)
find_package(LAPACK REQUIRED)
find_package(EXPAT  REQUIRED)
include_directories(${EXPAT_INCLUDE_DIRS})

set(BASE_LIBRARIES ${BLAS_LIBRARIES} ${LAPACK_LIBRARIES} ${EXPAT_LIBRARIES} stdc++fs)

find_library(LIB_ERFA erfa)
if(LIB_ERFA AND ((NOT ${DISABLE_ERFA}) OR (NOT DEFINED DISABLE_ERFA)))
  find_path(ERFA_INCLUDE_DIR NAMES erfa.h)
  include_directories(${ERFA_INCLUDE_DIR})
  set(BASE_LIBRARIES ${BASE_LIBRARIES} ${LIB_ERFA})
else()
  add_definitions(-DGROOPS_DISABLE_ERFA)
  message(WARNING "ERFA library *NOT* found (https://github.com/liberfa). GROOPS is not able to compute Earth rotation based on IERS EOP files.")
endif()

find_library(LIB_Z z)
if(LIB_Z AND ((NOT ${DISABLE_Z}) OR (NOT DEFINED DISABLE_Z)))
  find_path(ZLIB_INCLUDE_DIR NAMES zlib.h)
  include_directories(${ZLIB_INCLUDE_DIR})
  set(BASE_LIBRARIES ${BASE_LIBRARIES} ${LIB_Z})
else()
  add_definitions(-DGROOPS_DISABLE_Z)
  message(WARNING "Z library *NOT* found (https://www.zlib.net). GROOPS is not able to read/write compressed *.gz files.")
endif()

find_library(LIB_NETCDF netcdf)
if(LIB_NETCDF AND ((NOT ${DISABLE_NETCDF}) OR (NOT DEFINED DISABLE_NETCDF)))
  find_path(NETCDF_INCLUDE_DIR NAMES netcdf.h)
  include_directories(${NETCDF_INCLUDE_DIR})
  set(BASE_LIBRARIES ${BASE_LIBRARIES} ${LIB_NETCDF})
else()
  add_definitions(-DGROOPS_DISABLE_NETCDF)
  message(WARNING "netCDF library *NOT* found (https://www.unidata.ucar.edu/software/netcdf). GROOPS is not able to convert netCDF *.grd files.")
endif()

if(${DISABLE_HWM14})
  message(WARNING "HWM14 wind model will *NOT* be compiled.")
  add_definitions(-DGROOPS_DISABLE_HWM14)
endif()

if(${DISABLE_NRLMSIS})
  message(WARNING "NRLMSIS thermospheric model will *NOT* be compiled.")
  add_definitions(-DGROOPS_DISABLE_NRLMSIS)
endif()

if(${DISABLE_JB2008})
  message(WARNING "JB2008 thermospheric model will *NOT* be compiled.")
  add_definitions(-DGROOPS_DISABLE_JB2008)
endif()

if(${DISABLE_IGRF})
  message(WARNING "IGRF magnetic field model will *NOT* be compiled.")
  add_definitions(-DGROOPS_DISABLE_IGRF)
endif()

if(${DISABLE_IERS})
  message(WARNING "IERS software routines will *NOT* be compiled.")
  add_definitions(-DGROOPS_DISABLE_IERS)
endif()

# =========================================

add_executable(groops ${PROJECT_SOURCE_DIR}/parallel/parallelSingle.cpp $<TARGET_OBJECTS:groopscore>)
target_link_libraries(groops ${BASE_LIBRARIES})

install(TARGETS groops DESTINATION bin)

# =========================================

find_package(MPI COMPONENTS CXX)
if(MPI_FOUND)
  include_directories(${MPI_CXX_INCLUDE_PATH})
  add_executable(groopsMPI ${PROJECT_SOURCE_DIR}/parallel/parallelCluster.cpp $<TARGET_OBJECTS:groopscore>)

  target_link_libraries(groopsMPI ${BASE_LIBRARIES} ${MPI_CXX_LIBRARIES})
  if(MPI_COMPILE_FLAGS)
    set_target_properties(groopsMPI PROPERTIES COMPILE_FLAGS "${MPI_CXX_COMPILE_FLAGS}")
  endif()
  if(MPI_LINK_FLAGS)
    set_target_properties(groopsMPI PROPERTIES LINK_FLAGS "${MPI_CXX_LINK_FLAGS}")
  endif()
  install(TARGETS groopsMPI DESTINATION bin)
else()
  message(WARNING "A GROOPS executable for MPI parallel computing will *NOT* be created.")
endif()

# =========================================

## groops 0+git20230516+ds

=== debian/changelog ===
groops (0+git20230516+ds-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:56 +1100

groops (0+git20230516+ds-3build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:32:20 +0000

groops (0+git20230516+ds-3build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:26:35 +0000

groops (0+git20230516+ds-3) unstable; urgency=medium

  * Really add the flag.

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Feb 2024 07:41:54 +0100

groops (0+git20230516+ds-2) unstable; urgency=medium

  * d/control: add XS-Autobuild: yes.

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Feb 2024 07:01:26 +0100

groops (0+git20230516+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1001622)

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 May 2023 09:57:31 +0200

=== debian/control ===
Source: groops
Section: non-free/science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gfortran,
 liberfa-dev,
 libexpat1-dev,
 libnetcdf-dev,
 libopenblas-dev,
 mpi-default-dev,
 pkgconf,
 qtbase5-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/groops-devs/groops
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian/groops
Vcs-Git: https://salsa.debian.org/debian/groops.git
Rules-Requires-Root: no

Package: groops
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gmt, gmt-gshhg | gmt-gshhg-full | gmt-gshhg-high | gmt-gshhg-low
Description: software toolkit for gravity field recovery and GNSS processing
 The Gravity Recovery Object Oriented Programming System (GROOPS) is a software
 toolkit written in C++ that enables the user to perform core geodetic tasks.
 Key features of the software include gravity field recovery from satellite and
 terrestrial data, the determination of satellite orbits from global navigation
 satellite system (GNSS) measurements, and the processing of GNSS
 constellations and ground station networks.
 .
 Most tasks and algorithms are (optionally) parallelized through the Message
 Passing Interface (MPI), thus the software enables a smooth transition from
 single-CPU desktop computers to large distributed computing environments for
 resource intensive tasks.

Package: groops-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gmt, gmt-gshhg | gmt-gshhg-full | gmt-gshhg-high | gmt-gshhg-low
Description: software toolkit for gravity field recovery and GNSS processing (GUI)
 The Gravity Recovery Object Oriented Programming System (GROOPS) is a software
 toolkit written in C++ that enables the user to perform core geodetic tasks.
 Key features of the software include gravity field recovery from satellite and
 terrestrial data, the determination of satellite orbits from global navigation
 satellite system (GNSS) measurements, and the processing of GNSS
 constellations and ground station networks.
 .
 Most tasks and algorithms are (optionally) parallelized through the Message
 Passing Interface (MPI), thus the software enables a smooth transition from
 single-CPU desktop computers to large distributed computing environments for
 resource intensive tasks.
 .
 This package is the GUI.

## groops 0+git20240830+ds

=== source/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.10)
+cmake_minimum_required(VERSION 3.7)
 
 project(GROOPS LANGUAGES CXX Fortran)
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_Fortran_FLAGS "-std=legacy")
 include_directories(${PROJECT_SOURCE_DIR})
 include(sourcesCXX.txt)

=== debian/changelog ===
groops (0+git20240830+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: updated.
  * d/patches: dropped.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Aug 2024 14:35:50 +0000

groops (0+git20230516+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Sun, 02 Jun 2024 20:51:13 +0000

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/groops-devs/groops/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## groops 0+git20250907+ds

=== debian/changelog ===
groops (0+git20250907+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sun, 07 Sep 2025 08:24:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: groops
 Section: non-free/science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -14,7 +13,7 @@
  mpi-default-dev,
  pkgconf,
  qtbase5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/groops-devs/groops
 XS-Autobuild: yes
 Vcs-Browser: https://salsa.debian.org/debian/groops

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ --sourcedirectory=source

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=gui

override_dh_auto_configure:
	dh_auto_configure -- -DDISABLE_HWM14=TRUE -DDISABLE_JB2008=TRUE -DDISABLE_NRLMSIS=TRUE
	dh_auto_configure --sourcedirectory=gui

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=gui

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --sourcedirectory=gui

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=gui
